Eclipse Platform Release 3.7

## org.eclipse.core.commands.common
Class CommandException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.core.commands.common.CommandException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  CommandNotMappedException, ExecutionException, NotDefinedException, NotEnabledException, NotHandledException, ParameterValueConversionException, ParameterValuesException, SerializationException

    public abstract class CommandException

extends Exception

Signals that an exception occured within the command architecture.

This class is not intended to be extended by clients.

Since:
  3.1
See Also:
  Serialized Form
Restriction:
  This class is not intended to be subclassed by clients.

Constructor Summary
`CommandException(String message)` Creates a new instance of this class with the specified detail message.
`CommandException(String message, Throwable cause)` Creates a new instance of this class with the specified detail message and cause.

Method Summary
`Throwable` `getCause()` Returns the cause of this throwable or `null` if the cause is nonexistent or unknown.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CommandException

    public CommandException(String message)

  Creates a new instance of this class with the specified detail message.

  Parameters:
    `message` - the detail message; may be `null`.

### CommandException

    public CommandException(String message,
                            Throwable cause)

  Creates a new instance of this class with the specified detail message and cause.

  Parameters:
    `message` - the detail message; may be `null`.
    `cause` - the cause; may be `null`.

Method Detail

### getCause

    public Throwable getCause()

  Returns the cause of this throwable or `null` if the cause is nonexistent or unknown.

  Overrides:
    `getCause` in class `Throwable`
  Returns:
    the cause or `null`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.